xmonad-contrib-0.12: Third party extensions for xmonad

Copyright | (c) Brent Yorgey
License | BSD-style (see LICENSE)
Maintainer | <byorgey@gmail.com>
Stability | unstable
Portability | portable
Safe Haskell | None
Language | Haskell98

XMonad.Layout.Spacing

Contents

- Usage

Description

Add a configurable amount of space around windows.

Synopsis

- spacing :: Int -> l a -> ModifiedLayout Spacing l a
- data Spacing a
- spacingWithEdge :: Int -> l a -> ModifiedLayout SpacingWithEdge l a
- data SpacingWithEdge a
- smartSpacing :: Int -> l a -> ModifiedLayout SmartSpacing l a
- data SmartSpacing a
- smartSpacingWithEdge :: Int -> l a -> ModifiedLayout SmartSpacingWithEdge l a
- data SmartSpacingWithEdge a
- data ModifySpacing = ModifySpacing (Int -> Int)
- setSpacing :: Int -> X ()
- incSpacing :: Int -> X ()

# Usage

You can use this module by importing it into your `~/.xmonad/xmonad.hs` file:

    import XMonad.Layout.Spacing

and modifying your layoutHook as follows (for example):

    layoutHook = spacing 2 $ Tall 1 (3/100) (1/2)
                         -- put a 2px space around every window

spacing :: Int -> l a -> ModifiedLayout Spacing l a Source

Surround all windows by a certain number of pixels of blank space.

data Spacing a Source

Instances

LayoutModifier Spacing a Source |
Read (Spacing a) Source |
Show (Spacing a) Source |

spacingWithEdge :: Int -> l a -> ModifiedLayout SpacingWithEdge l a Source

Surround all windows by a certain number of pixels of blank space, and additionally adds the same amount of spacing around the edge of the screen.

data SpacingWithEdge a Source

Instances

LayoutModifier SpacingWithEdge a Source |
Read (SpacingWithEdge a) Source |
Show (SpacingWithEdge a) Source |

smartSpacing :: Int -> l a -> ModifiedLayout SmartSpacing l a Source

Surrounds all windows with blank space, except when the window is the only visible window on the current workspace.

data SmartSpacing a Source

Instances

LayoutModifier SmartSpacing a Source |
Read (SmartSpacing a) Source |
Show (SmartSpacing a) Source |

smartSpacingWithEdge :: Int -> l a -> ModifiedLayout SmartSpacingWithEdge l a Source

Surrounds all windows with blank space, and adds the same amount of spacing around the edge of the screen, except when the window is the only visible window on the current workspace.

data SmartSpacingWithEdge a Source

Instances

LayoutModifier SmartSpacingWithEdge a Source |
Read (SmartSpacingWithEdge a) Source |
Show (SmartSpacingWithEdge a) Source |

data ModifySpacing Source

Message to dynamically modify (e.g. increasedecreaseset) the size of the window spacing

Constructors

ModifySpacing (Int -> Int) |

Instances

Message ModifySpacing Source |

setSpacing :: Int -> X () Source

Set spacing to given amount

incSpacing :: Int -> X () Source

Increase spacing by given amount